r.stats(1)

NAME
r.stats - Generates area statistics for raster map layers.

KEYWORDS
raster

SYNOPSIS
r.stats
r.stats help
r.stats [-1AacplqnNgxCri] input=string[,string,...] [fs=character|space|tab] [nv=string] [output=string] [nsteps=integer]

  Flags:

-1  One cell (range) per line

-A  Print averaged values instead of intervals

-a  Print area totals

-c  Print cell counts

-p  Print APPROXIMATE percents (total percent may not be 100%)

-l  Print category labels

-q  Quiet

-n  Suppress reporting of any NULLs

-N  Suppress reporting of NULLs when all values are NULL

-g  Print grid coordinates (east and north)

-x  Print x and y (column and row)

-C  Report for cats fp ranges (fp maps only)

-r  Print raw indexes of fp ranges (fp maps only)

-i  Read fp map as integer (use map's quant rules)

  Parameters:

input=string[,string,...]
    Raster input maps(s)

fs=character|space|tab
    Output field separator Default: space

nv=string
    String representing no data cell value Default: *

output=string
    Output file name

nsteps=integer
    Number of fp subranges to collect stats from Default: 255

DESCRIPTION
r.stats calculates the area present in each of the categories of user-selected raster map layer(s). Area statistics are given in units of square meters and/or cell counts. This analysis uses the current geographic region and mask settings. Output can be sent to a file in the user's current working directory. If a single map layer is specified on the command line, a list of areas in square meters (assuming the map's coordinate system is in meters) for each category in the raster map layer will be printed. (If the -c option is chosen, areas will be stated in number of cells.) If multiple raster map layers are specified on the command line, a cross-tabulation table of areas for each combination of categories in the map layers will be printed.

For example, if one raster map layer were specified, the output would look like:
          1:1350000.00
          2:4940000.00
          3:8870000.00
If three raster map layers a, b, and c, were specified, the output would look like:
          0:0:0:8027500.00
          0:1:0:1152500.00
          1:0:0:164227500.00
          1:0:1:2177500.00
          1:1:0:140092500.00
          1:1:1:3355000.00
          2:0:0:31277500.00
          2:0:1:2490000.00
          2:1:0:24207500.00
          2:1:1:1752500.00
          3:0:0:17140000.00
          3:1:0:11270000.00
          3:1:1:2500.00
Within each grouping, the first field represents the category value of map layer a, the second represents the category values associated with map layer b, the third represents category values for map layer c, and the last field gives the area in square meters for the particular combination of these three map layers' categories. For example, above, combination 3,1,1 covered 2500 square meters. Fields are separated by colons.

NOTES
r.stats works in the current geographic region with the current mask.

If a nicely formatted output is desired, pipe the output into a command which can create columnar output. For example, the command:

r.stats input=a,b,c | pr -3 | cat -s

will create a three-column output
1:4:4:10000.00 2:1:5:290000.00 2:4:5:2090000.00
1:4:5:1340000.00 2:2:5:350000.00 3:1:2:450000.00
2:1:1:1090000.00 2:4:1:700000.00 3:1:3:5280000.00
2:1:3:410000.00 2:4:3:10000.00 3:1:5:3140000.00
The output from r.stats on more than one map layer is sorted.

Note that the user has only the option of printing out cell statistics in terms of cell counts and/or area totals. Users wishing to use different units than are available here should use the GRASS program r.report.

SEE ALSO
g.region, r.coin, r.describe, r.report

AUTHOR
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2006/04/13 19:01:37 $

Full index